ola_usbpro(1)

NAME
ola_usbpro - Configure Enttec USB Pro Devices managed by OLA.

SYNOPSIS
ola_usbpro -d <dev_id> [--serial | -p <port> --g | -p <port> -b <brk> -m <mab> -r <rate>]

DESCRIPTION
ola_usbpro is used to query and control the parameters of Enttec USB Pro devices.

OPTIONS

-a, --assignments
    Get the port assignments.

-b, --brk <break>
    Set the break time (9 - 127).

-d, --device <device>
    Id of the device to control.

-g, --get-params
    Get the current parameters.

-h, --help
    Display the help message

-l, --log-level <int8_t>
    Set the logging level 0 .. 4.

-m, --mab <man>
    Set the make after-break-time (1 - 127).

-p, --port <port>
    The port to configure.

-r, --rate <rate>
    Set the transmission rate (1 - 40).

-s, --serial
    Get the serial number.

-v, --version
    Display version information

--syslog
    Send to syslog rather than stderr.

--no-use-epoll
    Disable the use of epoll(), revert to select()

--no-use-kqueue
    Disable the use of kqueue(), revert to select()

--scheduler-policy <policy>
    The thread scheduling policy, one of {fifo, rr}.

--scheduler-priority <priority>
    The thread priority, only used if --scheduler-policy is set.

EXAMPLES

  See the current parameters of port 0 of device 9:
ola_usbpro -d 9 -p 0 --get-params

  See the port assignments of device 9:
ola_usbpro -d 9 --assignments

  Set the packet rate of port 0 of device 9 to 40 packets/s:
ola_usbpro -d 9 -p 0 -r 40

  See the serial number of device 9:
ola_usbpro -d 9 --serial

SEE ALSO
olad(1), usbpro_firmware(1),